Subject: Re: bug#17046: 24.3.50; On startup emacs frame has no minibuffer or windows decorations

From: Juanma Barranquero <[email-masked]>
Date: Sat, 22 Mar 2014 16:26:15 +0100

On Sat, Mar 22, 2014 at 4:20 PM, martin rudalics <[email-masked]> wrote:

> I meant to find some way where we, before restoring a desktop, make the
> involved frame visible and then do the restoring, so the user "sees"
> what happens.  This obviously works only when a frame exists already
> before restoration kicks in, but IIUC this is what happens in Robert's
> case.

I'm lost. Why wouldn't it work to call (sit-for 0) before calling
frameset-restore?